/*****
                              packsdate()

      This function takes the system date and converts it to a packed
   DOS value for the date.

   Argument list:    void

   Return value:     unsigned int         the date as a DOS-packed number

*****/

#include <dos.h>

unsigned int packsdate(void)
{
   union REGS ireg;

   ireg.h.ah = 0x2a;
   intdos(&ireg, &ireg);
   return packdate(ireg.h.dl, ireg.h.dh, ireg.x.cx);
}
